> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# project

> Provider for selecting a project.

## "project" MDO List

Provider for selecting a project.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProjectListProviderOrg">ProjectListProviderOrg</see> class.
The name of the MDO list is 'project'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/project
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("project", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                         | StyleHint | ExtraInfo |
| -- | ---------------------------- | --------- | --------- |
| 58 | 00o00ee00                    |           |           |
| 59 | 11o11ee11                    |           |           |
| 60 | 22o22ee22                    |           |           |
| 57 | 33o33ee33                    |           |           |
| 61 | 44o44ee44                    |           |           |
| 62 | 55o55ee55                    |           |           |
| 63 | 66o66ee66                    |           |           |
| 64 | 77o77ee77                    |           |           |
| 65 | 88o88ee88                    |           |           |
| 66 | 99o99ee99                    |           |           |
| 16 | BBoBBeeBB                    |           |           |
| 78 | Cat project                  |           |           |
| 73 | Cats sale one                |           |           |
| 17 | Ccocceecc                    |           |           |
| 18 | ddoddeedd                    |           |           |
| 20 | ffoffeeff                    |           |           |
| 77 | Fish project 1               |           |           |
| 21 | ggoggeegg                    |           |           |
| 70 | Guided Project               |           |           |
| 71 | Guided Project With Progress |           |           |
| 22 | hhohheehh                    |           |           |

## Related MDO Lists

* "projectheadings"
* "projectheadingswithallitem"
* "projectheadingswithallitemwithnoselection"
* "projectheadingswithnoselection"
* "projectwithallitem"
* "projectwithallitemwithnoselection"
* "projectwithnoselection"


## Related topics

- [Project](/en/project/learn/index.md)
- [Projects](/en/mobile/project/index.md)
- [Merge projects](/en/project/learn/merge-projects.md)
- [project_new](/en/api/mdo-providers/reference/project_new.md)
